Autor Téma: Android - aplikace nefunguje na novějších zařízeních (podrobosti v textu)  (Přečteno 1086 krát)

Offline bluebat

  • Nováček
  • *
  • Příspěvků: 18
  • Karma: 3
    • Verze Delphi: 10.3 Rio
Zdravím,

mám napsanou aplikace - na iOS funguje bez problémů, na mém telefonu s Androidem taky (mám verzi 4.4.4 a verzi pocesoru ARMv7), vYcházím z popisu zde:
http://docwiki.embarcadero.com/RADStudio/Tokyo/en/Android_Devices_Supported_for_Application_Development

Klient zkoušel aplikace na různých telefonech - pokud měli Andorid 8.1 ... chápu, že to není v kompatibilních OS, ale pokud byla verze Androidu nižší byl i problém s CPU, kdy se jednalo o rodinu "ARM Cortex-A series CPU" - která by podporovaná být měla ... tak aplikace padala, např. Xiaomi Redmi 5 -> Android 7.1 (Nougat), CPU - Cortex-A53 ... tedy mělo by být OK.

Jediné, co jsem našel je problém s Androidem 8.1, resp. API level 26 a žádosti o oprávnění v aplikaci, snažil jsem se to pochopit zde: https://www.delphiworlds.com/2018/06/targeting-android-8-and-higher-continued/ .. ale stejně se mi to moc nepodařilo odladit a tak torchu tápu (hledám a učím se...).

A teď konečně dotaz:

1. Chápu správně, že momentálně - dokud nebude verze 10.3 (minimálně ta beta), tak prostě aplikace pro Android bez nějakých "vychytávek" nebudou fungovat?
2. Máte někdo zkušeností s Android aplikací, která vám běží na jiném než ARMv7 procesoru?

Offline jumpdo

  • Nováček
  • *
  • Příspěvků: 22
  • Karma: 2
Mám 2 aplikace napsané v Berlin 10.1 na Google Play a taky dost dobře nechápu jak je to z verzema androidu. Protože valná většina instalací je pod 7.0 8.0 androidem a vesele funguje .. podle googlu aktivní instalace :-)

Offline bluebat

  • Nováček
  • *
  • Příspěvků: 18
  • Karma: 3
    • Verze Delphi: 10.3 Rio
No nová verze 10.3 je na světě, tak to zkusím přeložit v ní a uvidím :-) co a jak ...

 

S rychlou odpovědí můžete používat BB kódy a emotikony jako v běžném okně pro odpověď, ale daleko rychleji.

Jméno: E-mail:
Ověření:
Kolik je šest plus čtyři (slovem):